Index: asterisk/channels/chan_h323.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_h323.c,v
retrieving revision 1.9
diff -u -B -b -r1.9 chan_h323.c
--- asterisk/channels/chan_h323.c	21 Oct 2003 13:12:30 -0000	1.9
+++ asterisk/channels/chan_h323.c	8 Dec 2003 12:31:42 -0000
@@ -23,7 +23,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
  *
- * Version Info: $Id: chan_h323.c,v 1.9 2003/10/21 13:12:30 tholo Exp $
+ * Version Info: $Id: chan_h323.c,v 1.9 2003/10/21 08:52:51 jeremy Exp $
  */
 
 
@@ -667,7 +667,7 @@
 		ch->pvt->write = oh323_write;
 		ch->pvt->indicate = oh323_indicate;
 		ch->pvt->fixup = oh323_fixup;
-//		ch->pvt->bridge = ast_rtp_bridge;
+	//		ch->pvt->bridge = ast_rtp_bridge;
 
 		/*  Set the owner of this channel */
 		i->owner = ch;
@@ -676,7 +676,9 @@
 		usecnt++;
 		ast_mutex_unlock(&usecnt_lock);
 		ast_update_use_count();
-		strncpy(ch->context, i->context, sizeof(ch->context)-1);
+	ast_log(LOG_WARNING, "**DEBUG**:Valor de nuevo contexto %s\n", default_context);
+	//	strncpy(ch->context, i->context, sizeof(ch->context)-1);
+	strncpy(ch->context, default_context, sizeof(ch->context)-1);
 		strncpy(ch->exten, i->exten, sizeof(ch->exten)-1);		
 		ch->priority = 1;
 		if (strlen(i->callerid))
@@ -816,6 +818,8 @@
 
 	if (ext)
 		strncpy(p->username, ext, sizeof(p->username) - 1);
+
+    ast_log(LOG_WARNING, "**DEBUG**:Valor contexto al llamar oh323_new %s\n", p->context);
 	tmpc = oh323_new(p, AST_STATE_DOWN, host);
 	if (!tmpc)
 		oh323_destroy(p);
@@ -1033,7 +1037,7 @@
 					
 					strncpy(p->context, default_context, sizeof(p->context)-1);
 					sprintf(p->exten,"i");
-
+		    ast_log(LOG_WARNING, "**DEBUG**:Valor contexto default en goto %s\n", default_context);
 					goto exit;					
 				}
 			}
@@ -1068,8 +1072,8 @@
 		} 
 	}
 
-/* I know this is horrid, don't kill me saddam */
-exit:
+    /* I know this is horrid, don't kill me saddam */
+ exit:
 	/* allocate a channel and tell asterisk about it */
 	c = oh323_new(p, AST_STATE_RINGING, cd.call_token);
 	if (!c) {
@@ -1160,7 +1164,7 @@
 void cleanup_connection(call_details_t cd)
 {	
 	struct oh323_pvt *p = NULL;
-//	struct oh323_peer *peer = NULL;
+    //	struct oh323_peer *peer = NULL;
 	struct oh323_user *user = NULL;
 	struct ast_rtp *rtp = NULL;
 
@@ -1215,7 +1219,7 @@
 		for(;;) {
 		/* Check for interfaces needing to be killed */
 		ast_mutex_lock(&iflock);
-restartsearch:		
+    restartsearch:		
 		oh323 = iflist;
 		while(oh323) {
 			if (oh323->needdestroy) {
@@ -1738,7 +1742,7 @@
 		/* start the h.323 listener */
 		if (h323_start_listener(port, bindaddr)) {
 			ast_log(LOG_ERROR, "Unable to create H323 listener.\n");
-//			h323_end_process();
+	    //			h323_end_process();
 			return -1;
 		}
 
@@ -1746,7 +1750,7 @@
 		if (gatekeeper_disable == 0) {
 			if (h323_set_gk(gatekeeper_discover, gatekeeper, secret)) {
 				ast_log(LOG_ERROR, "Gatekeeper registration failed.\n");
-//				h323_end_process();
+		//				h323_end_process();
 				return 0;
 			}
 		}
